<?php


namespace App\Services;

use App\Http\logic\api\WiwiPayCashierLogic;
use App\Http\logic\api\WDPayCashierLogic;
use App\Http\logic\api\CoinPayCashierLogic;
use App\Http\logic\api\AiPayCashierLogic;
use App\Http\logic\api\PagYeepPayCashierLogic;
use App\Http\logic\api\AiNewPayCashierLogic;
use App\Http\logic\api\SafePayCashierLogic;
use App\Http\logic\api\SfPayCashierLogic;
use App\Http\logic\api\BotImPayCashierLogic;
use App\Http\logic\api\PayPlusCashierLogic;


class CashService
{
    public static function payment($val)
    {
        switch ($val) {


            case WiwiPayCashierLogic::AGENT:
                return new WiwiPayCashierLogic();

            case WDPayCashierLogic::AGENT:
                return new WDPayCashierLogic();

            case CoinPayCashierLogic::AGENT:
                return new CoinPayCashierLogic();

            case AiPayCashierLogic::AGENT:
                return new AiPayCashierLogic();

            case PagYeepPayCashierLogic::AGENT:
                return new PagYeepPayCashierLogic();

            case AiNewPayCashierLogic::AGENT:
                return new AiNewPayCashierLogic();

            case SafePayCashierLogic::AGENT:
                return new SafePayCashierLogic();

            case SfPayCashierLogic::AGENT:
                return new SfPayCashierLogic();

            case BotImPayCashierLogic::AGENT:
                return new BotImPayCashierLogic();

            case PayPlusCashierLogic::AGENT:
                return new PayPlusCashierLogic();

        }
    }
}
